Glib::Rand Class Reference
Random Numbers

`#include <glibmm/random.h>`

## Public Member Functions

| Rand ()
| Rand (guint32 seed)
| ~Rand () noexcept
| Rand (const Rand&)=delete
Rand& | operator= (const Rand&)=delete
void | set_seed (guint32 seed)
bool | get_bool ()
guint32 | get_int ()
gint32 | get_int_range (gint32 begin, gint32 end)
double | get_double ()
double | get_double_range (double begin, double end)
GRand* | gobj ()
const GRand* | gobj () const

## Detailed Description

Examples:
  thread/dispatcher.cc, and thread/thread.cc.

## Constructor & Destructor Documentation

## Rand() [1/3]

Glib::Rand::Rand | ( |  | ) |

## Rand() [2/3]

Glib::Rand::Rand | ( | guint32 | seed | ) |

explicit

## ~Rand()

Glib::Rand::~Rand | ( |  | ) |

noexcept

## Rand() [3/3]

Glib::Rand::Rand | ( | const Rand& |  | ) |

delete

## Member Function Documentation

## get_bool()

bool Glib::Rand::get_bool | ( |  | ) |

Examples:
  thread/thread.cc.

## get_double()

double Glib::Rand::get_double | ( |  | ) |

## get_double_range()

double Glib::Rand::get_double_range | ( | double | begin,
|  | double | end
| ) |  |

## get_int()

guint32 Glib::Rand::get_int | ( |  | ) |

## get_int_range()

gint32 Glib::Rand::get_int_range | ( | gint32 | begin,
|  | gint32 | end
| ) |  |

Examples:
  thread/dispatcher.cc, and thread/thread.cc.

## gobj() [1/2]

GRand* Glib::Rand::gobj | ( |  | ) |

inline

## gobj() [2/2]

const GRand* Glib::Rand::gobj | ( |  | ) | const

inline

## operator=()

Rand& Glib::Rand::operator= | ( | const Rand& |  | ) |

delete

## set_seed()

void Glib::Rand::set_seed | ( | guint32 | seed | ) |